org.jbpm.process

## Class ProcessBaseFactoryService

- java.lang.Object
- - org.jbpm.process.ProcessBaseFactoryService

- All Implemented Interfaces:
    org.kie.api.Service, org.kie.internal.KnowledgeBaseFactoryService

      public class ProcessBaseFactoryService
      extends Object
      implements org.kie.internal.KnowledgeBaseFactoryService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessBaseFactoryService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.KnowledgeBase` | `getKnowledgeBase(String arg0)`
    `org.kie.internal.runtime.StatefulKnowledgeSession` | `getStatefulKnowlegeSession(String arg0)`
    `org.kie.api.runtime.Environment` | `newEnvironment()`
    `org.kie.internal.KnowledgeBase` | `newKnowledgeBase()`
    `org.kie.internal.KnowledgeBase` | `newKnowledgeBase(org.kie.api.KieBaseConfiguration conf)`
    `org.kie.internal.KnowledgeBase` | `newKnowledgeBase(String kbaseId)`
    `org.kie.internal.KnowledgeBase` | `newKnowledgeBase(String kbaseId, org.kie.api.KieBaseConfiguration conf)`
    `org.kie.api.KieBaseConfiguration` | `newKnowledgeBaseConfiguration()`
    `org.kie.api.KieBaseConfiguration` | `newKnowledgeBaseConfiguration(Properties properties, ClassLoader... classLoaders)`
    `org.kie.api.runtime.KieSessionConfiguration` | `newKnowledgeSessionConfiguration()`
    `org.kie.api.runtime.KieSessionConfiguration` | `newKnowledgeSessionConfiguration(Properties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessBaseFactoryService

          public ProcessBaseFactoryService()

  - ### Method Detail

    - #### newKnowledgeBaseConfiguration

          public org.kie.api.KieBaseConfiguration newKnowledgeBaseConfiguration()

      Specified by:
        `newKnowledgeBaseConfiguration` in interface `org.kie.internal.KnowledgeBaseFactoryService`

    - #### newKnowledgeBaseConfiguration

          public org.kie.api.KieBaseConfiguration newKnowledgeBaseConfiguration(Properties properties,
                                                                                ClassLoader... classLoaders)

      Specified by:
        `newKnowledgeBaseConfiguration` in interface `org.kie.internal.KnowledgeBaseFactoryService`

    - #### newKnowledgeSessionConfiguration

          public org.kie.api.runtime.KieSessionConfiguration newKnowledgeSessionConfiguration()

      Specified by:
        `newKnowledgeSessionConfiguration` in interface `org.kie.internal.KnowledgeBaseFactoryService`

    - #### newKnowledgeSessionConfiguration

          public org.kie.api.runtime.KieSessionConfiguration newKnowledgeSessionConfiguration(Properties properties)

      Specified by:
        `newKnowledgeSessionConfiguration` in interface `org.kie.internal.KnowledgeBaseFactoryService`

    - #### newKnowledgeBase

          public org.kie.internal.KnowledgeBase newKnowledgeBase()

      Specified by:
        `newKnowledgeBase` in interface `org.kie.internal.KnowledgeBaseFactoryService`

    - #### newKnowledgeBase

          public org.kie.internal.KnowledgeBase newKnowledgeBase(String kbaseId)

      Specified by:
        `newKnowledgeBase` in interface `org.kie.internal.KnowledgeBaseFactoryService`

    - #### newKnowledgeBase

          public org.kie.internal.KnowledgeBase newKnowledgeBase(org.kie.api.KieBaseConfiguration conf)

      Specified by:
        `newKnowledgeBase` in interface `org.kie.internal.KnowledgeBaseFactoryService`

    - #### newKnowledgeBase

          public org.kie.internal.KnowledgeBase newKnowledgeBase(String kbaseId,
                                                                 org.kie.api.KieBaseConfiguration conf)

      Specified by:
        `newKnowledgeBase` in interface `org.kie.internal.KnowledgeBaseFactoryService`

    - #### newEnvironment

          public org.kie.api.runtime.Environment newEnvironment()

      Specified by:
        `newEnvironment` in interface `org.kie.internal.KnowledgeBaseFactoryService`

    - #### getKnowledgeBase

          public org.kie.internal.KnowledgeBase getKnowledgeBase(String arg0)

    - #### getStatefulKnowlegeSession

          public org.kie.internal.runtime.StatefulKnowledgeSession getStatefulKnowlegeSession(String arg0)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.